﻿IF NOT EXISTS(SELECT 1 FROM TB_R_LPOP_CONFIRMATION WHERE PRODUCTION_MONTH=@0 AND PO_CREATION_STATUS = '2')
BEGIN
	SELECT ---TOP 100
		DOCK_CD dockCode,
		SUPPLIER_CD suppCode,
		matNo = SUBSTRING(PART_NO, 1, 10),
		prodPurposeCode = '',
		sourceType = 1,
		PART_NAME matDesc,
		PACK_MONTH prodMonth,
		partColorSfx = SUBSTRING(PART_NO, 11, 2),
		N_VOLUME qtyN,
		N_1_VOLUME qtyN1,
		N_2_VOLUME qtyN2,
		N_3_VOLUME qtyN3
	FROM TB_R_LPOP_SUM
	WHERE
		PACK_MONTH = @0 AND
		VERS = @1 AND
		--CREATED_BY = @2 AND 
		N_VOLUME <> 0
END